#include "clear_index_action.h"

namespace NDaemonController {

    NJson::TJsonValue TClearIndexAction::DoSerializeToJson() const {
        NJson::TJsonValue result(NJson::JSON_MAP);
        return result;
    }

    void TClearIndexAction::DoDeserializeFromJson(const NJson::TJsonValue& /*json*/) {
    }

    TClearIndexAction::TFactory::TRegistrator<TClearIndexAction> TClearIndexAction::Registrator(CLEAR_INDEX_ACTION_NAME);
}
